#ifdef STATISTICS
#include "Behavioural/include/Stat.h"

namespace morpheo {
namespace behavioural {  
  void Stat::test_and_save (bool force_save)
  {
    if ((_save_periodic and ((*_cycle)==_period)) or force_save)
      {
	eval_exprs(false); // evalue les expression non periodique au cycle

        reset (true);
      }
  }
};  
};
#endif
